%define majver %(echo %version | cut -d. -f1)
%define bento_version 1.6.0-639-6
Name:          kodi-inputstream-adaptive
Version:       20.3.12
Release:       1mamba
Summary:       kodi inputstream addon for several manifest types 
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xbmc/inputstream.adaptive
Source:        https://github.com/xbmc/inputstream.adaptive.git/%{version}-Nexus/inputstream.adaptive-%{version}.tar.bz2
Source1:       https://github.com/xbmc/Bento4/archive/refs/tags/%{bento_version}-Nexus.tar.gz
Patch0:        kodi-inputstream-adaptive-20.3.12-gcc-13.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: kodi-devel >= 0:20.1-1mamba
BuildRequires: cmake
Requires:      kodi >= %{majver}
Requires:      kodi < %{majver}.999

%description
kodi inputstream addon for several manifest types.

%debug_package

%prep
%setup -q -n inputstream.adaptive-%{version}
%define _default_patch_fuzz 2
%patch 0 -p1 -b .gcc-13.2

%build
%cmake -d build \
   -DBUILD_SHARED_LIBS=1 \
   -DUSE_LTO=1 \
   -DENABLE_INTERNAL_BENTO4=1 \
   -DBENTO4_URL="%{SOURCE1}"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/kodi/addons/inputstream.adaptive
%{_libdir}/kodi/addons/inputstream.adaptive/*
%dir %{_datadir}/kodi/addons/inputstream.adaptive
%{_datadir}/kodi/addons/inputstream.adaptive/*

%changelog
* Mon Aug 28 2023 Automatic Build System <autodist@mambasoft.it> 20.3.12-1mamba
- automatic version update by autodist

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 20.3.9-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 20.3.8-1mamba
- automatic version update by autodist

* Sun May 07 2023 Automatic Build System <autodist@mambasoft.it> 20.3.7-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 20.3.6-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20.3.5-1mamba
- update to 20.3.5

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 19.0.7-1mamba
- automatic version update by autodist

* Fri Jun 17 2022 Automatic Build System <autodist@mambasoft.it> 19.0.6-1mamba
- automatic version update by autodist

* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 19.0.5-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 19.0.4-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 19.0.3-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 19.0.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0.1-1mamba
- package created using the webbuild interface
